## org.hibernate.event.internal
Class OnReplicateVisitor

    java.lang.Object
      org.hibernate.event.internal.AbstractVisitor
          org.hibernate.event.internal.ProxyVisitor
              org.hibernate.event.internal.ReattachVisitor
                  org.hibernate.event.internal.OnReplicateVisitor

    public class OnReplicateVisitor

extends ReattachVisitor

When an entity is passed to replicate(), and there is an existing row, we must inspect all its collections and 1. associate any uninitialized PersistentCollections with this session 2. associate any initialized PersistentCollections with this session, using the existing snapshot 3. execute a collection removal (SQL DELETE) for each null collection property or "new" collection

Method Summary

Methods inherited from class org.hibernate.event.internal.ProxyVisitor
`isOwnerUnchanged, reattachCollection`

Methods inherited from class org.hibernate.event.internal.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.